> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT collection items

> Query NFT collection items metadata.



## OpenAPI

````yaml get /v1/nft/collection/items
openapi: 3.0.2
info:
  title: 🖼 NFT API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/nft/collection/items:
    get:
      tags:
        - NFT Collections
      summary: Get NFT collection items
      description: Query NFT collection items metadata.
      operationId: GetNFTCollectionItems
      parameters:
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: string
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: The address of the NFT contract
          required: true
          schema:
            title: Contract Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: The address of the NFT contract
          example: '0xed5af388653567af2f388e6224dc7c4b3241c544'
          name: contract_address
          in: query
        - description: The page offset
          required: false
          schema:
            title: Page
            minimum: 1
            type: integer
            description: The page offset
            default: 1
          name: page
          in: query
        - description: The desired page size limit. Less or equal than 100
          required: false
          schema:
            title: Limit
            maximum: 100
            minimum: 1
            type: integer
            description: The desired page size limit. Less or equal than 100
            default: 20
          name: limit
          in: query
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetNFTCollectionItems'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseGetNFTCollectionItems:
      title: ResponseGetNFTCollectionItems
      required:
        - data
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/NFTAsset'
        next_page:
          title: Next Page
          type: integer
        count:
          title: Count
          type: integer
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    NFTAsset:
      title: NFTAsset
      required:
        - blockchain
        - contract_address
        - token_id
        - erc_type
        - name
        - owner
        - symbol
        - image_uri
        - mint_time
        - mint_transaction_hash
        - token_uri
      type: object
      properties:
        blockchain:
          title: Blockchain
          type: string
          description: The blockchain name.
        contract_address:
          title: Contract Address
          type: string
          description: The contract address.
        token_id:
          title: Token Id
          type: string
          description: The token ID number.
        erc_type:
          title: Erc Type
          type: string
          description: ERC standard related to the contract.
        name:
          title: Name
          type: string
          description: The name of the NFT contract.
        owner:
          title: Owner
          type: string
          description: 'The address who owns the token_id now '
        symbol:
          title: Symbol
          type: string
          description: The symbol of the NFT contract.
        image_uri:
          title: Image Uri
          type: string
          description: The image of the NFT assets.
        mint_time:
          title: Mint Time
          type: integer
          description: The ms timestamp when the token was minted.
        mint_transaction_hash:
          title: Mint Transaction Hash
          type: string
          description: The transaction hash when the token was minted.
        token_uri:
          title: Token Uri
          type: string
          description: The token URI of the NFT assets.
        metadata:
          title: Metadata
          description: The metadata of the NFT assets.
        traits:
          title: Traits
          description: List of traits of the NFT assets.
        rarity_score:
          title: Rarity Score
          type: number
          description: The rarity score of the NFT assets.
        rarity_rank:
          title: Rarity Rank
          type: integer
          description: The rarity rank of the NFT assets.

````